Index: /branches/version-2_13_0/data/module/Calendar/Month.php
===================================================================
--- /branches/version-2_13_0/data/module/Calendar/Month.php	(revision 23126)
+++ /branches/version-2_13_0/data/module/Calendar/Month.php	(revision 23143)
@@ -1,38 +1,26 @@
 <?php
 /* vim: set expandtab tabstop=4 shiftwidth=4: */
-
+//
+// +----------------------------------------------------------------------+
+// | PHP Version 4                                                        |
+// +----------------------------------------------------------------------+
+// | Copyright (c) 1997-2002 The PHP Group                                |
+// +----------------------------------------------------------------------+
+// | This source file is subject to version 2.02 of the PHP license,      |
+// | that is bundled with this package in the file LICENSE, and is        |
+// | available at through the world-wide-web at                           |
+// | http://www.php.net/license/3_0.txt.                                  |
+// | If you did not receive a copy of the PHP license and are unable to   |
+// | obtain it through the world-wide-web, please send a note to          |
+// | license@php.net so we can mail you a copy immediately.               |
+// +----------------------------------------------------------------------+
+// | Authors: Harry Fuecks <hfuecks@phppatterns.com>                      |
+// +----------------------------------------------------------------------+
+//
+// $Id: Month.php,v 1.3 2005/10/22 10:10:26 quipo Exp $
+//
 /**
- * Contains the Calendar_Month class
- *
- * PHP versions 4 and 5
- *
- * LICENSE: Redistribution and use in source and binary forms, with or without
- * modification, are permitted provided that the following conditions are met:
- * 1. Redistributions of source code must retain the above copyright
- *    notice, this list of conditions and the following disclaimer.
- * 2. Redistributions in binary form must reproduce the above copyright
- *    notice, this list of conditions and the following disclaimer in the
- *    documentation and/or other materials provided with the distribution.
- * 3. The name of the author may not be used to endorse or promote products
- *    derived from this software without specific prior written permission.
- *
- * THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
- * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
- * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
- * IN NO EVENT SHALL THE FREEBSD PROJECT OR CONTRIBUTORS BE LIABLE FOR ANY
- * DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
- * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
- * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
- * ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
- * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
- * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
- *
- * @category  Date and Time
- * @package   Calendar
- * @author    Harry Fuecks <hfuecks@phppatterns.com>
- * @copyright 2003-2007 Harry Fuecks
- * @license   http://www.debian.org/misc/bsd.license  BSD License (3 Clause)
- * @version   CVS: $Id: Month.php 300729 2010-06-24 12:05:53Z quipo $
- * @link      http://pear.php.net/package/Calendar
+ * @package Calendar
+ * @version $Id: Month.php,v 1.3 2005/10/22 10:10:26 quipo Exp $
  */
 
@@ -54,5 +42,5 @@
  * <code>
  * require_once 'Calendar/Month.php';
- * $Month = new Calendar_Month(2003, 10); // Oct 2003
+ * $Month = & new Calendar_Month(2003, 10); // Oct 2003
  * $Month->build(); // Build Calendar_Day objects
  * while ($Day = & $Month->fetch()) {
@@ -60,12 +48,6 @@
  * }
  * </code>
- *
- * @category  Date and Time
- * @package   Calendar
- * @author    Harry Fuecks <hfuecks@phppatterns.com>
- * @copyright 2003-2007 Harry Fuecks
- * @license   http://www.debian.org/misc/bsd.license  BSD License (3 Clause)
- * @link      http://pear.php.net/package/Calendar
- * @access    public
+ * @package Calendar
+ * @access public
  */
 class Calendar_Month extends Calendar
@@ -73,14 +55,12 @@
     /**
      * Constructs Calendar_Month
-     *
-     * @param int $y        year e.g. 2003
-     * @param int $m        month e.g. 5
+     * @param int $y year e.g. 2003
+     * @param int $m month e.g. 5
      * @param int $firstDay first day of the week [optional]
-     *
      * @access public
      */
     function Calendar_Month($y, $m, $firstDay=null)
     {
-        parent::Calendar($y, $m);
+        Calendar::Calendar($y, $m);
         $this->firstDay = $this->defineFirstDayOfWeek($firstDay);
     }
@@ -89,13 +69,11 @@
      * Builds Day objects for this Month. Creates as many Calendar_Day objects
      * as there are days in the month
-     *
-     * @param array $sDates (optional) Calendar_Day objects representing selected dates
-     *
+     * @param array (optional) Calendar_Day objects representing selected dates
      * @return boolean
      * @access public
      */
-    function build($sDates = array())
+    function build($sDates=array())
     {
-        include_once CALENDAR_ROOT.'Day.php';
+        require_once CALENDAR_ROOT.'Day.php';
         $daysInMonth = $this->cE->getDaysInMonth($this->year, $this->month);
         for ($i=1; $i<=$daysInMonth; $i++) {
@@ -110,7 +88,5 @@
     /**
      * Called from build()
-     *
-     * @param array $sDates Calendar_Day objects representing selected dates
-     *
+     * @param array
      * @return void
      * @access private
Index: /branches/version-2_13_0/data/module/Calendar/Util/Uri.php
===================================================================
--- /branches/version-2_13_0/data/module/Calendar/Util/Uri.php	(revision 23126)
+++ /branches/version-2_13_0/data/module/Calendar/Util/Uri.php	(revision 23143)
@@ -1,39 +1,27 @@
 <?php
 /* vim: set expandtab tabstop=4 shiftwidth=4: */
-
+//
+// +----------------------------------------------------------------------+
+// | PHP                                                                  |
+// +----------------------------------------------------------------------+
+// | Copyright (c) 1997-2002 The PHP Group                                |
+// +----------------------------------------------------------------------+
+// | This source file is subject to version 2.02 of the PHP license,      |
+// | that is bundled with this package in the file LICENSE, and is        |
+// | available at through the world-wide-web at                           |
+// | http://www.php.net/license/3_0.txt.                                  |
+// | If you did not receive a copy of the PHP license and are unable to   |
+// | obtain it through the world-wide-web, please send a note to          |
+// | license@php.net so we can mail you a copy immediately.               |
+// +----------------------------------------------------------------------+
+// | Authors: Harry Fuecks <hfuecks@phppatterns.com>                      |
+// |          Lorenzo Alberton <l dot alberton at quipo dot it>           |
+// +----------------------------------------------------------------------+
+//
+// $Id: Uri.php,v 1.1 2004/08/16 09:03:55 hfuecks Exp $
+//
 /**
- * Contains the Calendar_Util_Uri class
- *
- * PHP versions 4 and 5
- *
- * LICENSE: Redistribution and use in source and binary forms, with or without
- * modification, are permitted provided that the following conditions are met:
- * 1. Redistributions of source code must retain the above copyright
- *    notice, this list of conditions and the following disclaimer.
- * 2. Redistributions in binary form must reproduce the above copyright
- *    notice, this list of conditions and the following disclaimer in the
- *    documentation and/or other materials provided with the distribution.
- * 3. The name of the author may not be used to endorse or promote products
- *    derived from this software without specific prior written permission.
- *
- * THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
- * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
- * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
- * IN NO EVENT SHALL THE FREEBSD PROJECT OR CONTRIBUTORS BE LIABLE FOR ANY
- * DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
- * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
- * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
- * ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
- * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
- * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
- *
- * @category  Date and Time
- * @package   Calendar
- * @author    Harry Fuecks <hfuecks@phppatterns.com>
- * @author    Lorenzo Alberton <l.alberton@quipo.it>
- * @copyright 2003-2007 Harry Fuecks, Lorenzo Alberton
- * @license   http://www.debian.org/misc/bsd.license  BSD License (3 Clause)
- * @version   CVS: $Id: Uri.php 300729 2010-06-24 12:05:53Z quipo $
- * @link      http://pear.php.net/package/Calendar
+ * @package Calendar
+ * @version $Id: Uri.php,v 1.1 2004/08/16 09:03:55 hfuecks Exp $
  */
 
@@ -42,5 +30,5 @@
  * <code>
  * $Day = new Calendar_Day(2003, 10, 23);
- * $Uri = new Calendar_Util_Uri('year', 'month', 'day');
+ * $Uri = & new Calendar_Util_Uri('year', 'month', 'day');
  * echo $Uri->prev($Day,'month'); // Displays year=2003&amp;month=10
  * echo $Uri->prev($Day,'day'); // Displays year=2003&amp;month=10&amp;day=22
@@ -50,13 +38,6 @@
  * echo $Uri->prev($Day,'day'); // Displays 2003/10/22
  * </code>
- *
- * @category  Date and Time
- * @package   Calendar
- * @author    Harry Fuecks <hfuecks@phppatterns.com>
- * @author    Lorenzo Alberton <l.alberton@quipo.it>
- * @copyright 2003-2007 Harry Fuecks, Lorenzo Alberton
- * @license   http://www.debian.org/misc/bsd.license  BSD License (3 Clause)
- * @link      http://pear.php.net/package/Calendar
- * @access    public
+ * @package Calendar
+ * @access public
  */
 class Calendar_Util_Uri
@@ -89,12 +70,10 @@
      * Constructs Calendar_Decorator_Uri
      * The term "fragment" means <i>name</i> of a calendar GET variables in the URL
-     *
-     * @param string $y URI fragment for year
-     * @param string $m (optional) URI fragment for month
-     * @param string $d (optional) URI fragment for day
-     * @param string $h (optional) URI fragment for hour
-     * @param string $i (optional) URI fragment for minute
-     * @param string $s (optional) URI fragment for second
-     *
+     * @param string URI fragment for year
+     * @param string (optional) URI fragment for month
+     * @param string (optional) URI fragment for day
+     * @param string (optional) URI fragment for hour
+     * @param string (optional) URI fragment for minute
+     * @param string (optional) URI fragment for second
      * @access public
      */
@@ -106,17 +85,14 @@
     /**
      * Sets the URI fragment names
-     *
-     * @param string $y URI fragment for year
-     * @param string $m (optional) URI fragment for month
-     * @param string $d (optional) URI fragment for day
-     * @param string $h (optional) URI fragment for hour
-     * @param string $i (optional) URI fragment for minute
-     * @param string $s (optional) URI fragment for second
-     *
+     * @param string URI fragment for year
+     * @param string (optional) URI fragment for month
+     * @param string (optional) URI fragment for day
+     * @param string (optional) URI fragment for hour
+     * @param string (optional) URI fragment for minute
+     * @param string (optional) URI fragment for second
      * @return void
      * @access public
      */
-    function setFragments($y, $m=null, $d=null, $h=null, $i=null, $s=null) 
-    {
+    function setFragments($y, $m=null, $d=null, $h=null, $i=null, $s=null) {
         if (!is_null($y)) $this->uris['Year']   = $y;
         if (!is_null($m)) $this->uris['Month']  = $m;
@@ -129,8 +105,6 @@
     /**
      * Gets the URI string for the previous calendar unit
-     *
-     * @param object $Calendar subclassed from Calendar e.g. Calendar_Month
-     * @param string $unit     calendar  unit (year|month|week|day|hour|minute|second)
-     *
+     * @param object subclassed from Calendar e.g. Calendar_Month
+     * @param string calendar unit ( must be year, month, week, day, hour, minute or second)
      * @return string
      * @access public
@@ -145,8 +119,6 @@
     /**
      * Gets the URI string for the current calendar unit
-     *
-     * @param object $Calendar subclassed from Calendar e.g. Calendar_Month
-     * @param string $unit     calendar  unit (year|month|week|day|hour|minute|second)
-     *
+     * @param object subclassed from Calendar e.g. Calendar_Month
+     * @param string calendar unit ( must be year, month, week, day, hour, minute or second)
      * @return string
      * @access public
@@ -154,5 +126,5 @@
     function this($Calendar, $unit)
     {
-        $method = 'this'.$unit;
+       $method = 'this'.$unit;
         $stamp  = $Calendar->{$method}('timestamp');
         return $this->buildUriString($Calendar, $method, $stamp);
@@ -161,8 +133,6 @@
     /**
      * Gets the URI string for the next calendar unit
-     *
-     * @param object $Calendar subclassed from Calendar e.g. Calendar_Month
-     * @param string $unit     calendar unit (year|month|week|day|hour|minute|second)
-     *
+     * @param object subclassed from Calendar e.g. Calendar_Month
+     * @param string calendar unit ( must be year, month, week, day, hour, minute or second)
      * @return string
      * @access public
@@ -177,9 +147,6 @@
     /**
      * Build the URI string
-     *
-     * @param object $Calendar subclassed from Calendar e.g. Calendar_Month
-     * @param string $method   method substring
-     * @param int    $stamp    timestamp
-     *
+     * @param string method substring
+     * @param int timestamp
      * @return string build uri string
      * @access private
@@ -193,7 +160,5 @@
             $call = 'stampTo'.$unit;
             $uriString .= $separator;
-            if (!$this->scalar) {
-                $uriString .= $uri.'=';
-            }
+            if (!$this->scalar) $uriString .= $uri.'=';
             $uriString .= $cE->{$call}($stamp);
             $separator = $this->separator;
Index: /branches/version-2_13_0/data/module/Calendar/Util/Textual.php
===================================================================
--- /branches/version-2_13_0/data/module/Calendar/Util/Textual.php	(revision 23126)
+++ /branches/version-2_13_0/data/module/Calendar/Util/Textual.php	(revision 23143)
@@ -1,44 +1,27 @@
 <?php
 /* vim: set expandtab tabstop=4 shiftwidth=4: */
-
-/**
- * Contains the Calendar_Util_Textual class
- *
- * PHP versions 4 and 5
- *
- * LICENSE: Redistribution and use in source and binary forms, with or without
- * modification, are permitted provided that the following conditions are met:
- * 1. Redistributions of source code must retain the above copyright
- *    notice, this list of conditions and the following disclaimer.
- * 2. Redistributions in binary form must reproduce the above copyright
- *    notice, this list of conditions and the following disclaimer in the
- *    documentation and/or other materials provided with the distribution.
- * 3. The name of the author may not be used to endorse or promote products
- *    derived from this software without specific prior written permission.
- *
- * THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
- * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
- * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
- * IN NO EVENT SHALL THE FREEBSD PROJECT OR CONTRIBUTORS BE LIABLE FOR ANY
- * DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
- * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
- * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
- * ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
- * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
- * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
- *
- * @category  Date and Time
- * @package   Calendar
- * @author    Harry Fuecks <hfuecks@phppatterns.com>
- * @author    Lorenzo Alberton <l.alberton@quipo.it>
- * @copyright 2003-2007 Harry Fuecks, Lorenzo Alberton
- * @license   http://www.debian.org/misc/bsd.license  BSD License (3 Clause)
- * @version   CVS: $Id: Textual.php 247250 2007-11-28 19:42:01Z quipo $
- * @link      http://pear.php.net/package/Calendar
- */
-
+//
+// +----------------------------------------------------------------------+
+// | PHP Version 4                                                        |
+// +----------------------------------------------------------------------+
+// | Copyright (c) 1997-2002 The PHP Group                                |
+// +----------------------------------------------------------------------+
+// | This source file is subject to version 2.02 of the PHP license,      |
+// | that is bundled with this package in the file LICENSE, and is        |
+// | available at through the world-wide-web at                           |
+// | http://www.php.net/license/3_0.txt.                                  |
+// | If you did not receive a copy of the PHP license and are unable to   |
+// | obtain it through the world-wide-web, please send a note to          |
+// | license@php.net so we can mail you a copy immediately.               |
+// +----------------------------------------------------------------------+
+// | Authors: Harry Fuecks <hfuecks@phppatterns.com>                      |
+// |          Lorenzo Alberton <l dot alberton at quipo dot it>           |
+// +----------------------------------------------------------------------+
+//
+// $Id: Textual.php,v 1.2 2004/08/16 13:13:09 hfuecks Exp $
+//
 /**
  * @package Calendar
- * @version $Id: Textual.php 247250 2007-11-28 19:42:01Z quipo $
+ * @version $Id: Textual.php,v 1.2 2004/08/16 13:13:09 hfuecks Exp $
  */
 
@@ -59,13 +42,6 @@
  * Static utlities to help with fetching textual representations of months and
  * days of the week.
- *
- * @category  Date and Time
- * @package   Calendar
- * @author    Harry Fuecks <hfuecks@phppatterns.com>
- * @author    Lorenzo Alberton <l.alberton@quipo.it>
- * @copyright 2003-2007 Harry Fuecks, Lorenzo Alberton
- * @license   http://www.debian.org/misc/bsd.license  BSD License (3 Clause)
- * @link      http://pear.php.net/package/Calendar
- * @access    public
+ * @package Calendar
+ * @access public
  */
 class Calendar_Util_Textual
@@ -74,20 +50,13 @@
     /**
      * Returns an array of 12 month names (first index = 1)
-     *
-     * @param string $format (optional) format of returned months (one|two|short|long)
-     *
+     * @param string (optional) format of returned months (one,two,short or long)
      * @return array
      * @access public
      * @static
      */
-    function monthNames($format = 'long')
-    {
-        $formats = array(
-            'one'   => '%b', 
-            'two'   => '%b', 
-            'short' => '%b', 
-            'long'  => '%B',
-        );
-        if (!array_key_exists($format, $formats)) {
+    function monthNames($format='long')
+    {
+        $formats = array('one'=>'%b', 'two'=>'%b', 'short'=>'%b', 'long'=>'%B');
+        if (!array_key_exists($format,$formats)) {
             $format = 'long';
         }
@@ -97,9 +66,9 @@
             $month = strftime($formats[$format], $stamp);
             switch($format) {
-            case 'one':
-                $month = substr($month, 0, 1);
-                break;
-            case 'two':
-                $month = substr($month, 0, 2);
+                case 'one':
+                    $month = substr($month, 0, 1);
+                break;
+                case 'two':
+                    $month = substr($month, 0, 2);
                 break;
             }
@@ -111,20 +80,13 @@
     /**
      * Returns an array of 7 week day names (first index = 0)
-     *
-     * @param string $format (optional) format of returned days (one,two,short or long)
-     *
+     * @param string (optional) format of returned days (one,two,short or long)
      * @return array
      * @access public
      * @static
      */
-    function weekdayNames($format = 'long')
-    {
-        $formats = array(
-            'one'   => '%a', 
-            'two'   => '%a', 
-            'short' => '%a', 
-            'long'  => '%A',
-        );
-        if (!array_key_exists($format, $formats)) {
+    function weekdayNames($format='long')
+    {
+        $formats = array('one'=>'%a', 'two'=>'%a', 'short'=>'%a', 'long'=>'%A');
+        if (!array_key_exists($format,$formats)) {
             $format = 'long';
         }
@@ -134,9 +96,9 @@
             $day = strftime($formats[$format], $stamp);
             switch($format) {
-            case 'one':
-                $day = substr($day, 0, 1);
-                break;
-            case 'two':
-                $day = substr($day, 0, 2);
+                case 'one':
+                    $day = substr($day, 0, 1);
+                break;
+                case 'two':
+                    $day = substr($day, 0, 2);
                 break;
             }
@@ -148,13 +110,11 @@
     /**
      * Returns textual representation of the previous month of the decorated calendar object
-     *
-     * @param object $Calendar subclass of Calendar e.g. Calendar_Month
-     * @param string $format   (optional) format of returned months (one,two,short or long)
-     *
-     * @return string
-     * @access public
-     * @static
-     */
-    function prevMonthName($Calendar, $format = 'long')
+     * @param object subclass of Calendar e.g. Calendar_Month
+     * @param string (optional) format of returned months (one,two,short or long)
+     * @return string
+     * @access public
+     * @static
+     */
+    function prevMonthName($Calendar, $format='long')
     {
         $months = Calendar_Util_Textual::monthNames($format);
@@ -164,13 +124,11 @@
     /**
      * Returns textual representation of the month of the decorated calendar object
-     *
-     * @param object $Calendar subclass of Calendar e.g. Calendar_Month
-     * @param string $format   (optional) format of returned months (one,two,short or long)
-     *
-     * @return string
-     * @access public
-     * @static
-     */
-    function thisMonthName($Calendar, $format = 'long')
+     * @param object subclass of Calendar e.g. Calendar_Month
+     * @param string (optional) format of returned months (one,two,short or long)
+     * @return string
+     * @access public
+     * @static
+     */
+    function thisMonthName($Calendar, $format='long')
     {
         $months = Calendar_Util_Textual::monthNames($format);
@@ -180,13 +138,11 @@
     /**
      * Returns textual representation of the next month of the decorated calendar object
-     *
-     * @param object $Calendar subclass of Calendar e.g. Calendar_Month
-     * @param string $format   (optional) format of returned months (one,two,short or long)
-     *
-     * @return string
-     * @access public
-     * @static
-     */
-    function nextMonthName($Calendar, $format = 'long')
+     * @param object subclass of Calendar e.g. Calendar_Month
+     * @param string (optional) format of returned months (one,two,short or long)
+     * @return string
+     * @access public
+     * @static
+     */
+    function nextMonthName($Calendar, $format='long')
     {
         $months = Calendar_Util_Textual::monthNames($format);
@@ -197,18 +153,16 @@
      * Returns textual representation of the previous day of week of the decorated calendar object
      * <b>Note:</b> Requires PEAR::Date
-     *
-     * @param object $Calendar subclass of Calendar e.g. Calendar_Month
-     * @param string $format   (optional) format of returned months (one,two,short or long)
-     *
-     * @return string
-     * @access public
-     * @static
-     */
-    function prevDayName($Calendar, $format = 'long')
+     * @param object subclass of Calendar e.g. Calendar_Month
+     * @param string (optional) format of returned months (one,two,short or long)
+     * @return string
+     * @access public
+     * @static
+     */
+    function prevDayName($Calendar, $format='long')
     {
         $days = Calendar_Util_Textual::weekdayNames($format);
         $stamp = $Calendar->prevDay('timestamp');
         $cE = $Calendar->getEngine();
-        include_once 'Date/Calc.php';
+        require_once 'Date/Calc.php';
         $day = Date_Calc::dayOfWeek($cE->stampToDay($stamp),
             $cE->stampToMonth($stamp), $cE->stampToYear($stamp));
@@ -219,8 +173,6 @@
      * Returns textual representation of the day of week of the decorated calendar object
      * <b>Note:</b> Requires PEAR::Date
-     *
-     * @param object $Calendar subclass of Calendar e.g. Calendar_Month
-     * @param string $format   (optional) format of returned months (one,two,short or long)
-     *
+     * @param object subclass of Calendar e.g. Calendar_Month
+     * @param string (optional) format of returned months (one,two,short or long)
      * @return string
      * @access public
@@ -230,5 +182,5 @@
     {
         $days = Calendar_Util_Textual::weekdayNames($format);
-        include_once 'Date/Calc.php';
+        require_once 'Date/Calc.php';
         $day = Date_Calc::dayOfWeek($Calendar->thisDay(), $Calendar->thisMonth(), $Calendar->thisYear());
         return $days[$day];
@@ -237,8 +189,6 @@
     /**
      * Returns textual representation of the next day of week of the decorated calendar object
-     *
-     * @param object $Calendar subclass of Calendar e.g. Calendar_Month
-     * @param string $format   (optional) format of returned months (one,two,short or long)
-     *
+     * @param object subclass of Calendar e.g. Calendar_Month
+     * @param string (optional) format of returned months (one,two,short or long)
      * @return string
      * @access public
@@ -250,5 +200,5 @@
         $stamp = $Calendar->nextDay('timestamp');
         $cE = $Calendar->getEngine();
-        include_once 'Date/Calc.php';
+        require_once 'Date/Calc.php';
         $day = Date_Calc::dayOfWeek($cE->stampToDay($stamp),
             $cE->stampToMonth($stamp), $cE->stampToYear($stamp));
@@ -260,34 +210,19 @@
      * calendar object. Only useful for Calendar_Month_Weekdays, Calendar_Month_Weeks
      * and Calendar_Week. Otherwise the returned array will begin on Sunday
-     *
-     * @param object $Calendar subclass of Calendar e.g. Calendar_Month
-     * @param string $format   (optional) format of returned months (one,two,short or long)
-     *
+     * @param object subclass of Calendar e.g. Calendar_Month
+     * @param string (optional) format of returned months (one,two,short or long)
      * @return array ordered array of week day names
      * @access public
      * @static
      */
-    function orderedWeekdays($Calendar, $format = 'long')
+    function orderedWeekdays($Calendar, $format='long')
     {
         $days = Calendar_Util_Textual::weekdayNames($format);
         
+        // Not so good - need methods to access this information perhaps...
         if (isset($Calendar->tableHelper)) {
-            $ordereddays = $Calendar->tableHelper->getDaysOfWeek();
+            $ordereddays = $Calendar->tableHelper->daysOfWeek;
         } else {
-            //default: start from Sunday
-            $firstDay = 0;
-            //check if defined / set
-            if (defined('CALENDAR_FIRST_DAY_OF_WEEK')) {
-                $firstDay = CALENDAR_FIRST_DAY_OF_WEEK;
-            } elseif(isset($Calendar->firstDay)) {
-                $firstDay = $Calendar->firstDay;
-            }
-            $ordereddays = array();
-            for ($i = $firstDay; $i < 7; $i++) {
-                $ordereddays[] = $i;
-            }
-            for ($i = 0; $i < $firstDay; $i++) {
-                $ordereddays[] = $i;
-            }
+            $ordereddays = array(0, 1, 2, 3, 4, 5, 6);
         }
         
